#!/bin/bash
set -euf

#export HOME="$AUTOPKGTEST_TMP"

#cd "$(dirname "$0")/../.."  # remonte à la racine du projet libhmsbeagle

#echo "Running all test scripts in tests/"

#find tests/ -maxdepth 1 -type f -name '*.sh' -print | while read -r script; do
#    echo "Running $script"
#    sh "$script"
#done

# Aller dans le répertoire des tests
cd tests

# Exécuter tous les scripts .sh avec bash
for test_script in *.sh */*.sh; do
    if [ -f "$test_script" ]; then
        echo "Running $test_script"
        bash "$test_script" || true
    fi
done
